From a9c0e3e1b79a961b3386e0cc489966fad820bbb1 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 15:59:47 -0500
Subject: [PATCH 22/26] avoid shadow vars: partitionfuncs.c: relid

commit b96f6b19487fb9802216311b242c01c27c1938de
Author: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date:   Mon Mar 4 16:14:29 2019 -0300

    pg_partition_ancestors
---
 src/backend/utils/adt/partitionfuncs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/adt/partitionfuncs.c b/src/backend/utils/adt/partitionfuncs.c
index 109dc8023e1..59983381924 100644
--- a/src/backend/utils/adt/partitionfuncs.c
+++ b/src/backend/utils/adt/partitionfuncs.c
@@ -238,9 +238,9 @@ pg_partition_ancestors(PG_FUNCTION_ARGS)
 
 	if (funcctx->call_cntr < list_length(ancestors))
 	{
-		Oid			relid = list_nth_oid(ancestors, funcctx->call_cntr);
+		Oid			thisrelid = list_nth_oid(ancestors, funcctx->call_cntr);
 
-		SRF_RETURN_NEXT(funcctx, ObjectIdGetDatum(relid));
+		SRF_RETURN_NEXT(funcctx, ObjectIdGetDatum(thisrelid));
 	}
 
 	SRF_RETURN_DONE(funcctx);
-- 
2.17.1

